Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.transaction
Class CacheSynchronization

    java.lang.Object
      org.hibernate.transaction.CacheSynchronization

All Implemented Interfaces:
  Synchronization

    public final class CacheSynchronization

extends Object
implements Synchronization

A JTA transaction synch used to allow the `Session` to know about transaction events.

Author:
  Gavin King

Constructor Summary
`CacheSynchronization(TransactionFactory.Context ctx, JDBCContext jdbcContext, Transaction transaction, Transaction tx)`

Method Summary
`void` | `afterCompletion(int status)`
`void` | `beforeCompletion()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CacheSynchronization

    public CacheSynchronization(TransactionFactory.Context ctx,
                                JDBCContext jdbcContext,
                                Transaction transaction,
                                Transaction tx)

Method Detail

### beforeCompletion

    public void beforeCompletion()

  Specified by:
    `beforeCompletion` in interface `Synchronization`

### afterCompletion

    public void afterCompletion(int status)

  Specified by:
    `afterCompletion` in interface `Synchronization`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.